javax.persistence

## Enum CacheStoreMode

- java.lang.Object
- - java.lang.Enum<CacheStoreMode>
  - - javax.persistence.CacheStoreMode

- All Implemented Interfaces:
    Serializable, Comparable<CacheStoreMode>

      public enum CacheStoreMode
      extends Enum<CacheStoreMode>

  Used as the value of the `javax.persistence.cache.storeMode` property to specify the behavior when data is read from the database and when data is committed into the database.
  Since:
    Java Persistence 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYPASS` Don't insert into cache.
    `REFRESH` Insert/update entity data into cache when read from database and when committed into database.
    `USE` Insert entity data into cache when read from database and insert/update entity data when committed into database: this is the default behavior.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheStoreMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheStoreMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USE

          public static final CacheStoreMode USE

      Insert entity data into cache when read from database and insert/update entity data when committed into database: this is the default behavior. Does not force refresh of already cached items when reading from database.

    - #### BYPASS

          public static final CacheStoreMode BYPASS

      Don't insert into cache.

    - #### REFRESH

          public static final CacheStoreMode REFRESH

      Insert/update entity data into cache when read from database and when committed into database. Forces refresh of cache for items read from database.

  - ### Method Detail

    - #### values

          public static CacheStoreMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheStoreMode c : CacheStoreMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheStoreMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.